curl --request GET \
--url https://api.kycaml.frankiefinancial.io/v2/organizations/{entityId}/requests/{requestId} \
--header 'X-Frankie-CustomerID: <x-frankie-customerid>' \
--header 'api_key: <api-key>'import requests
url = "https://api.kycaml.frankiefinancial.io/v2/organizations/{entityId}/requests/{requestId}"
headers = {
"api_key": "<api-key>",
"X-Frankie-CustomerID": "<x-frankie-customerid>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {api_key: '<api-key>', 'X-Frankie-CustomerID': '<x-frankie-customerid>'}
};
fetch('https://api.kycaml.frankiefinancial.io/v2/organizations/{entityId}/requests/{requestId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"request": {
"requestId": "<string>",
"statusDescription": "<string>",
"responseUrl": "<string>",
"requestedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"nextUpdateAt": "2023-11-07T05:31:56Z",
"errors": [
{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
]
}
]
},
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}Organization Request Status
Show status of a previous operation requests on the organization.
Authorizations
Headers
Your API key provided by FrankieOne
"245c765b124a098d09ef8765...."
Your Customer ID provided by FrankieOne
"12345678-1234-1234-1234-123456789012"
Your Customer Child ID provided by FrankieOne
"87654321-4321-4321-4321-210987654321"
Path Parameters
Unique FrankieOne identifier for an entity
Unique request identifier
Response
OK
Entities are assigned a FrankieOne auto-generated UUID to ensure global uniqueness, represented as entityId. The entityId allows for precise modification when required. To modify an entity, set the entityId of the entity you wish to update in an update request.
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
Details of an asynchronous request made for this entity
Show child attributes
Show child attributes
The unique request identifier for the API call made.
"01HN9XHZN6MGXM9JXG50K59Q85"
Was this page helpful?